function [rec,orig,pert] = hrec(y,pmax1,pmax2,n,it);

% % functia hrec realizeaza recunoasterea formelor unor cifre
% % date de intrare: y - matricea modelelor de intrare
%                    pmax1 - pragul de la care incolo se schimba valoarea unui element 1 in -1
%                    pmax2 - pragul de la care incolo se schimba valoarea unui element -1 in 1
%                    n - numarul modelului ce se doreste a fi recunoscut (1-8)
%                    it - numarul maxim de cicluri de antrenare
% % 
% % date de iesire:  rec - forma recunoscuta
%                    orig - forma ce se doreste a fi recunoscuta
%                    pert - modelul de intrare (modelul rec, perturbat) 
 

[w,b]=solvehop1(y);
z=y(:,n);
orig=trans(z);
m=max(size(z));

for i=1:m
  p=rand;
  temp=z(i);
  if p>pmax1
     if z(i)==1
        temp=-1;
     end;
  end;
  if p>pmax2
     if z(i)==-1
        temp=1;
     end;
  end;
  z(i)=temp;
end;
pert=trans(z);
a=simhop(z,w,b,it);
rec=trans(a);

