function na = simhop(a,w,b,ts)
%SIMHOP   Hopfield network simulation function.
%         (See SATLIN, SOLVEHOP)
% 
%         SIMHOP(A,W,TS)
%           A  - SxQ matrix of initial output vectors.
%           W  - SxS weight matrix.
%           B  - Sx1 bias vector.
%           TS - Timesteps to simulate.
%         Returns a new output vector after TSth timestep.

%         M.H. Beale & H.B. Demuth, 1-31-92
%         Copyright (c) 1992 by the MathWorks, Inc.

if nargin ~= 4
  error('Wrong number of input arguments.');
  end

na = a;
for t=1:ts
  na = satlin(w*na,b);


  end
