function a=bin2real(t,m,d)

%BIN2REAL functia de transformare a unei matrice cu elemente scrise in binar
%         intr-o matrice cu elemente numere reale.Aceasta functie intoarce
%         matricea cu elemente numere reale care reprezinta transformarea in 
%         real a elementelor maticei t.
%
%       a=bin2real(t,m,d)
%        a- matrice [s,q] cu elemente numere reale care reprezinta 
%           transformarea in real a elementelor matricei t
%        t- matrice [s*m,q] cu elementele scrise sub forma binara
%             s- numarul de paliere din graficul tip
%             q- numarul de grafice tip
%        m- numarul de cifre binare
%        d- valoarea maxima a elementelor din mtricea reala determinata la
%           transformarea inversa cu functia real2bin.m
[p,q]=size(t);
s=p/m;
for j=1:q,
  for i=1:p,
    if t(i,j)==-1,
       t(i,j)=0;
    end
  end
end
for j=1:q,
  for i=1:s,
    a(i,j)=0;
    for k=1:m,
      a(i,j)=a(i,j)+t((i-1)*m+k,j)*2^(m-k);
    end
  end
end
n=2^m-1;
a=a/n;
a=a*d;


